"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/FileMessage/FileMessage.tsx
var FileMessage_exports = {};
__export(FileMessage_exports, {
  default: () => FileMessage_default
});
module.exports = __toCommonJS(FileMessage_exports);
var import_fa = require("react-icons/fa");

// src/Loader/Loader.tsx
var import_react = require("react");
var import_progressbar = require("progressbar.js");
var import_jsx_runtime = require("react/jsx-runtime");
var Loader = ({
  type = "circle",
  progressOptions = {
    strokeWidth: 6,
    easing: "easeInOut",
    duration: 1400,
    color: "#0791f1",
    trailColor: "#eee"
  },
  className,
  size = 100,
  progress = 0,
  style = {}
}) => {
  const wrapperRef = (0, import_react.useRef)(null);
  const loaderRef = (0, import_react.useRef)(null);
  const createWrapper = () => {
    const wrapper2 = document.createElement("div");
    wrapperRef.current = wrapper2;
    return wrapper2;
  };
  const wrapper = (0, import_react.useMemo)(createWrapper, []);
  (0, import_react.useEffect)(() => {
    const loader = type === "circle" ? new import_progressbar.Circle(wrapper, __spreadValues({
      strokeWidth: 6,
      easing: "easeInOut",
      duration: 1400,
      color: "#FFEA82",
      trailColor: "#eee",
      trailWidth: 1,
      svgStyle: null
    }, progressOptions)) : new import_progressbar.Line(wrapper, __spreadValues({
      strokeWidth: 4,
      easing: "easeInOut",
      duration: 1400,
      color: "#FFEA82",
      trailColor: "#eee",
      trailWidth: 1,
      svgStyle: { width: "100%", height: "100%" },
      text: {
        style: {
          color: "#999",
          position: "absolute",
          right: "0",
          top: "30px",
          padding: 0,
          margin: 0,
          transform: null
        },
        autoStyleContainer: false
      },
      from: { color: "#FFEA82" },
      to: { color: "#ED6A5A" },
      step: (state, bar) => {
        bar.setText(`${Math.round(bar.value() * 100)} %`);
      }
    }, progressOptions));
    loaderRef.current = loader;
    return () => {
      loader.destroy();
    };
  }, [wrapper, progressOptions, type]);
  (0, import_react.useEffect)(() => {
    if (loaderRef.current) {
      loaderRef.current.animate(progress * 0.01);
    }
  }, [progress]);
  const node = (0, import_react.useCallback)(
    (node2) => {
      if (node2) {
        node2.innerHTML = "";
        node2.appendChild(wrapper);
      }
    },
    [wrapper]
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    "div",
    {
      className,
      ref: node,
      style: __spreadValues({ width: size, height: size }, style)
    }
  );
};
var Loader_default = Loader;

// src/FileMessage/FileMessage.tsx
var import_jsx_runtime2 = require("react/jsx-runtime");
var FileMessage = (props) => {
  var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j;
  const progressOptions = {
    strokeWidth: 6,
    easing: "easeInOut",
    duration: 1400,
    color: "#0791f1",
    trailColor: "#eee",
    step: (state, circle) => {
      circle.path.setAttribute("trail", state.color);
      circle.path.setAttribute("trailwidth-width", state.width);
      const value = Math.round(circle.value() * 100);
      if (value === 0) circle.setText("");
      else circle.setText(value);
    }
  };
  const error = ((_a = props == null ? void 0 : props.data) == null ? void 0 : _a.status) && ((_b = props == null ? void 0 : props.data) == null ? void 0 : _b.status.error) === true;
  const onClick = (e) => {
    var _a2, _b2, _c2;
    if (!((_a2 = props == null ? void 0 : props.data) == null ? void 0 : _a2.status)) return;
    if (!((_b2 = props == null ? void 0 : props.data) == null ? void 0 : _b2.status.download) && props.onDownload instanceof Function)
      props.onDownload(e);
    else if (((_c2 = props == null ? void 0 : props.data) == null ? void 0 : _c2.status.download) && props.onOpen instanceof Function)
      props.onOpen(e);
  };
  return /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("div", { className: "rce-mbox-file", children: /* @__PURE__ */ (0, import_jsx_runtime2.jsxs)("button", { type: "button", onClick, children: [
    /* @__PURE__ */ (0, import_jsx_runtime2.jsxs)("div", { className: "rce-mbox-file--icon", children: [
      /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(import_fa.FaFile, { color: "#aaa" }),
      ((_c = props == null ? void 0 : props.data) == null ? void 0 : _c.size) ? /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("div", { className: "rce-mbox-file--size", children: props == null ? void 0 : props.data.size }) : null
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("div", { className: "rce-mbox-file--text", children: props.text }),
    /* @__PURE__ */ (0, import_jsx_runtime2.jsxs)("div", { className: "rce-mbox-file--buttons", children: [
      error && /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("span", { className: "rce-error-button", children: /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(import_fa.FaExclamationTriangle, { color: "#ff3d3d" }) }),
      !error && ((_d = props == null ? void 0 : props.data) == null ? void 0 : _d.status) && !((_e = props == null ? void 0 : props.data) == null ? void 0 : _e.status.download) && !((_f = props == null ? void 0 : props.data) == null ? void 0 : _f.status.click) && /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(import_fa.FaCloudDownloadAlt, { color: "#aaa" }),
      !error && ((_g = props == null ? void 0 : props.data) == null ? void 0 : _g.status) && typeof ((_h = props == null ? void 0 : props.data) == null ? void 0 : _h.status.loading) === "number" && ((_i = props == null ? void 0 : props.data) == null ? void 0 : _i.status.loading) > 0 && /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
        Loader_default,
        {
          animate: !!((_j = props == null ? void 0 : props.data) == null ? void 0 : _j.status.loading),
          className: "rce-mbox-file--loading",
          progressOptions
        }
      )
    ] })
  ] }) });
};
var FileMessage_default = FileMessage;
