import {
  __objRest
} from "./chunk-NZ7OHGNU.mjs";

// src/Input/Input.tsx
import { useEffect } from "react";
import classNames from "classnames";
import { jsx, jsxs } from "react/jsx-runtime";
var Input = (_a) => {
  var _b = _a, {
    type = "text",
    multiline = false,
    minHeight = 25,
    maxHeight = 200,
    autoHeight = true,
    autofocus = false,
    placeholder = "Type here...",
    style = {}
  } = _b, props = __objRest(_b, [
    "type",
    "multiline",
    "minHeight",
    "maxHeight",
    "autoHeight",
    "autofocus",
    "placeholder",
    "style"
  ]);
  var _a2, _b2, _c;
  useEffect(() => {
    var _a3, _b3;
    if (autofocus) (_b3 = (_a3 = props.reference) == null ? void 0 : _a3.current) == null ? void 0 : _b3.focus();
    if (props.clear instanceof Function) {
      props.clear(clear);
    }
  }, [autofocus, props.clear, (_b2 = (_a2 = props.reference) == null ? void 0 : _a2.current) == null ? void 0 : _b2.focus]);
  const onChangeEvent = ({
    ev,
    target
  }) => {
    var _a3;
    const el = target;
    if (multiline) {
      if (autoHeight) {
        if (el.style.height !== `${minHeight}px`) {
          el.style.height = `${minHeight}px`;
        }
        let height = "";
        if (el.scrollHeight <= maxHeight) height = `${el.scrollHeight}px`;
        else height = `${maxHeight}px`;
        if (el.style.height !== height) {
          el.style.height = height;
        }
      }
    }
    if (props.maxlength && (el.value || "").length > props.maxlength) {
      if (props.onMaxLengthExceed instanceof Function)
        props.onMaxLengthExceed();
      if ((_a3 = props.reference) == null ? void 0 : _a3.current) {
        props.reference.current.value = (el.value || "").substring(0, props.maxlength);
      }
      return;
    }
    if (ev && props.onChange instanceof Function) props.onChange({ ev });
  };
  const clear = () => {
    var _a3, _b3;
    const current = {
      target: (_a3 = props.reference) == null ? void 0 : _a3.current
    };
    if ((_b3 = props.reference) == null ? void 0 : _b3.current) {
      props.reference.current.value = "";
    }
    onChangeEvent(current);
  };
  return /* @__PURE__ */ jsxs(
    "div",
    {
      className: classNames("rce-container-input", props.className),
      style,
      children: [
        props.leftButtons && /* @__PURE__ */ jsx("div", { className: "rce-input-buttons", children: props.leftButtons }),
        !multiline ? /* @__PURE__ */ jsx(
          "input",
          {
            ref: props.reference,
            type,
            className: classNames("rce-input"),
            placeholder,
            defaultValue: props.defaultValue,
            style: props.inputStyle,
            onChange: (e) => {
              var _a3;
              return onChangeEvent({ ev: e, target: (_a3 = props.reference) == null ? void 0 : _a3.current });
            },
            onCopy: props.onCopy,
            onCut: props.onCut,
            onPaste: props.onPaste,
            onBlur: props.onBlur,
            onFocus: props.onFocus,
            onSelect: props.onSelect,
            onSubmit: props.onSubmit,
            onReset: props.onReset,
            onKeyDown: props.onKeyDown,
            onKeyUp: props.onKeyUp,
            value: props.value
          }
        ) : /* @__PURE__ */ jsx(
          "textarea",
          {
            ref: props.reference,
            className: classNames("rce-input", "rce-input-textarea"),
            placeholder,
            defaultValue: props.defaultValue,
            style: props.inputStyle,
            onChange: (e) => {
              var _a3;
              return onChangeEvent({ ev: e, target: (_a3 = props.reference) == null ? void 0 : _a3.current });
            },
            onCopy: props.onCopy,
            onCut: props.onCut,
            onPaste: props.onPaste,
            onBlur: props.onBlur,
            onFocus: props.onFocus,
            onSelect: props.onSelect,
            onSubmit: props.onSubmit,
            onReset: props.onReset,
            onKeyDown: props.onKeyDown,
            onKeyPress: props.onKeyPress,
            onKeyUp: props.onKeyUp,
            children: props.defaultValue ? (_c = props == null ? void 0 : props.value) != null ? _c : null : null
          }
        ),
        props.rightButtons && /* @__PURE__ */ jsx("div", { className: "rce-input-buttons", children: props.rightButtons })
      ]
    }
  );
};
var Input_default = Input;

export {
  Input_default
};
