import {
  getAvatar,
  getRandomColor,
  photo,
  require_dist,
  token
} from "./chunk-RMTMFRKX.mjs";
import {
  __toESM
} from "./chunk-NZ7OHGNU.mjs";

// src/stories/example/utils/MessageTypes.ts
var import_lorem_ipsum = __toESM(require_dist());
import { MdOutlineVideoCall } from "react-icons/md";
var getMessageId = (index) => {
  return index;
};
var photoMessage = {
  type: "photo",
  id: String(Math.random()),
  position: token() >= 1 ? "right" : "left",
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  focus: true,
  date: +/* @__PURE__ */ new Date(),
  forwarded: true,
  replyButton: true,
  removeButton: true,
  notch: true,
  retracted: false,
  text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
  titleColor: getRandomColor(),
  status: "waiting",
  statusTitle: token() >= 5 ? "Desktop" : "Mobile",
  data: {
    uri: photo(),
    status: {
      click: () => {
      },
      download: () => {
      },
      loading: false,
      error: false
    },
    width: 300,
    height: 300
  }
};
var photoMessageMinimal = {
  type: "photo",
  text: "photo text",
  title: "photo title",
  date: /* @__PURE__ */ new Date()
};
var locationMessage = {
  type: "location",
  markerColor: "",
  zoom: "",
  apiKey: "",
  status: "received",
  statusTitle: token() >= 5 ? "Desktop" : "Mobile",
  id: String(Math.random()),
  position: token() >= 1 ? "right" : "left",
  text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  focus: true,
  date: +/* @__PURE__ */ new Date(),
  dateString: "now",
  avatar: getAvatar(),
  titleColor: getRandomColor(),
  forwarded: true,
  replyButton: true,
  removeButton: true,
  notch: true,
  copiableDate: true,
  retracted: false,
  forwardedMessageText: "Forwarded",
  className: "",
  data: {
    latitude: "37.773972",
    longitude: "-122.431297",
    staticURL: "https://api.mapbox.com/styles/v1/mapbox/streets-v11/static/pin-s-circle+FF0000(LONGITUDE,LATITUDE)/LONGITUDE,LATITUDE,ZOOM/270x200@2x?access_token=KEY"
  },
  reply: token() >= 1 ? {
    photoURL: token() >= 1 ? getAvatar() : void 0,
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
    titleColor: getRandomColor(),
    text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" })
  } : void 0
};
var fileMessage = {
  type: "file",
  data: {
    status: {
      click: () => {
      },
      loading: true,
      download: () => {
      },
      //item === "video",
      error: false
    },
    size: "100MB"
  },
  status: "sent",
  statusTitle: token() >= 5 ? "Desktop" : "Mobile",
  id: String(Math.random()),
  position: token() >= 1 ? "right" : "left",
  text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  focus: false,
  date: +/* @__PURE__ */ new Date(),
  dateString: "now",
  avatar: getAvatar(),
  titleColor: getRandomColor(),
  forwarded: true,
  replyButton: true,
  removeButton: true,
  notch: true,
  copiableDate: true,
  retracted: false,
  forwardedMessageText: "Forwarded",
  className: "",
  reply: token() >= 1 ? {
    photoURL: token() >= 1 ? getAvatar() : void 0,
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
    titleColor: getRandomColor(),
    text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" })
  } : void 0
};
var systemMessage = {
  type: "system",
  id: String(Math.random()),
  text: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  date: +/* @__PURE__ */ new Date()
};
var spotifyMessage = {
  type: "spotify",
  id: String(Math.random()),
  position: token() >= 1 ? "right" : "left",
  text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  focus: true,
  date: +/* @__PURE__ */ new Date(),
  dateString: "now",
  avatar: getAvatar(),
  titleColor: getRandomColor(),
  forwarded: true,
  replyButton: true,
  removeButton: true,
  notch: true,
  copiableDate: true,
  retracted: false,
  className: "",
  status: "read",
  statusTitle: token() >= 5 ? "Desktop" : "Mobile",
  theme: "white",
  view: "list",
  width: 300,
  height: 300,
  uri: "spotify:track:0QjjaCaXE45mvhCnV3C0TA",
  reply: token() >= 1 ? {
    photoURL: token() >= 1 ? photo() : void 0,
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
    titleColor: getRandomColor(),
    text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" })
  } : void 0
};
var videoMessage = {
  type: "video",
  id: String(Math.random()),
  position: token() >= 1 ? "right" : "left",
  text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  focus: true,
  date: +/* @__PURE__ */ new Date(),
  dateString: "now",
  avatar: getAvatar(),
  titleColor: getRandomColor(),
  forwarded: true,
  replyButton: true,
  removeButton: true,
  controlsList: "",
  status: "read",
  forwardedMessageText: "Forwarded",
  statusTitle: token() >= 5 ? "Desktop" : "Mobile",
  data: {
    uri: getAvatar(`avatar${token()}`),
    videoURL: token() >= 1 ? "https://www.w3schools.com/html/mov_bbb.mp4" : "http://www.exit109.com/~dnn/clips/RW20seconds_1.mp4",
    status: {
      click: (e) => {
        console.log(e, "click");
      },
      loading: true,
      download: (e) => {
        console.log(e, "download");
      },
      error: false
    },
    width: 300,
    height: 200
  },
  notch: true,
  copiableDate: true,
  retracted: false,
  className: "",
  reply: token() >= 1 ? {
    photoURL: token() >= 1 ? photo() : void 0,
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
    titleColor: getRandomColor(),
    text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" })
  } : void 0
};
var audioMessage = {
  type: "audio",
  id: String(Math.random()),
  position: token() >= 1 ? "right" : "left",
  text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  focus: true,
  date: +/* @__PURE__ */ new Date(),
  dateString: "now",
  avatar: getAvatar(),
  titleColor: getRandomColor(),
  forwarded: true,
  replyButton: true,
  removeButton: true,
  status: "received",
  statusTitle: token() >= 5 ? "Desktop" : "Mobile",
  notch: true,
  copiableDate: true,
  retracted: false,
  className: "",
  data: {
    audioURL: "https://www.w3schools.com/html/horse.mp3",
    audioType: "audio/mp3",
    controlsList: "nodownload"
  },
  reply: token() >= 1 ? {
    photoURL: token() >= 1 ? photo() : void 0,
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
    titleColor: getRandomColor(),
    text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" })
  } : void 0
};
var meetingMessage = {
  type: "meeting",
  message: "asd",
  id: String(Math.random()),
  position: token() >= 1 ? "right" : "left",
  text: "spotify:track:0QjjaCaXE45mvhCnV3C0TA",
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  focus: true,
  date: +/* @__PURE__ */ new Date(),
  dateString: "now",
  avatar: getAvatar(),
  titleColor: getRandomColor(),
  forwarded: true,
  replyButton: true,
  removeButton: true,
  status: "received",
  statusTitle: token() >= 5 ? "Desktop" : "Mobile",
  notch: true,
  copiableDate: true,
  retracted: false,
  className: "",
  forwardedMessageText: "Forwarded",
  reply: token() >= 1 ? {
    photoURL: token() >= 1 ? photo() : void 0,
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
    titleColor: getRandomColor(),
    text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" })
  } : void 0,
  subject: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  collapseTitle: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  participants: Array(token() + 6).fill(1).map((x) => ({
    id: Math.floor(Math.random() * 10 % 7),
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "words" })
  })),
  dataSource: Array(token() + 5).fill(1).map((x) => ({
    type: "meeting",
    position: token() > 1 ? "right" : "left",
    text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
    focus: false,
    titleColor: getRandomColor(),
    forwarded: true,
    replyButton: true,
    removeButton: true,
    status: "received",
    notch: true,
    retracted: false,
    id: String(Math.random()),
    avatar: getAvatar("avatar   1"),
    message: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
    avatarFlexible: true,
    date: +/* @__PURE__ */ new Date(),
    event: {
      title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
      avatars: Array(token() + 2).fill(1).map((x2) => ({
        src: getAvatar(`avatar${token()}`),
        title: "react, rce"
      })),
      avatarsLimit: 5
    },
    record: {
      avatar: getAvatar(`avatar${token()}`),
      title: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "words" }),
      savedBy: `Kaydeden: ${(0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" })}`,
      time: (/* @__PURE__ */ new Date()).toLocaleString()
    }
  }))
};
var meetingLinkMessage = {
  data: {
    meetingID: "https://www.w3schools.com/html/horse.mp3",
    meetingLink: "https://www.w3schools.com/html/horse.mp3"
  },
  type: "meetingLink",
  actionButtons: [
    {
      onClickButton(id) {
        console.log(id);
      },
      Component: () => MdOutlineVideoCall({ size: "25px" })
    },
    {
      onClickButton(id) {
        console.log(id);
      },
      Component: () => MdOutlineVideoCall({ size: "25px" })
    }
  ],
  meetingID: String(Math.random()),
  id: String(Math.random()),
  position: token() >= 1 ? "right" : "left",
  text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  focus: true,
  date: +/* @__PURE__ */ new Date(),
  dateString: "now",
  avatar: getAvatar(),
  titleColor: getRandomColor(),
  forwarded: true,
  replyButton: true,
  removeButton: true,
  status: "received",
  statusTitle: token() >= 5 ? "Desktop" : "Mobile",
  notch: true,
  copiableDate: true,
  retracted: false,
  className: "",
  reply: token() >= 1 ? {
    photoURL: token() >= 1 ? getAvatar() : void 0,
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
    titleColor: getRandomColor(),
    text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" })
  } : void 0
};
var textMessage = (index) => ({
  type: "text",
  id: String(getMessageId(index)),
  position: token() >= 4 ? "right" : "left",
  text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  focus: false,
  date: +/* @__PURE__ */ new Date(),
  dateString: "now",
  avatar: getAvatar(),
  titleColor: getRandomColor(),
  forwarded: false,
  replyButton: false,
  removeButton: true,
  status: ["sent", "received", "received", "sent"][token()],
  statusTitle: token() >= 4 ? "Desktop" : "Mobile",
  notch: true,
  copiableDate: true,
  retracted: false,
  className: "",
  reply: token() >= 8 ? {
    src: token() >= 1 ? photo() : null,
    title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
    titleColor: getRandomColor(),
    text: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" })
  } : void 0
});
var chatListArray = () => {
  const name = (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" });
  return {
    id: String(Math.random()),
    avatar: getAvatar(),
    avatarFlexible: true,
    avatarSize: "default",
    statusColor: getRandomColor(),
    statusColorType: Math.floor(Math.random() * 100 % 2) === 1 ? "encircle" : void 0,
    alt: name,
    title: name,
    date: /* @__PURE__ */ new Date(),
    subtitle: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
    unread: Math.floor(Math.random() * 10 % 3),
    muted: Math.floor(Math.random() * 10 % 2) === 1,
    showMute: Math.floor(Math.random() * 10 % 2) === 1,
    showVideoCall: Math.floor(Math.random() * 10 % 2) === 1
  };
};

export {
  getMessageId,
  photoMessage,
  photoMessageMinimal,
  locationMessage,
  fileMessage,
  systemMessage,
  spotifyMessage,
  videoMessage,
  audioMessage,
  meetingMessage,
  meetingLinkMessage,
  textMessage,
  chatListArray
};
